Bug 200597 - Review Request: perl-Gtk2-TrayIcon
Summary: Review Request: perl-Gtk2-TrayIcon
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-07-28 21:35 UTC by Chris Weyl
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-11 04:24:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Weyl 2006-07-28 21:35:22 UTC
Spec URL: http://home.comcast.net/~ckweyl/perl-Gtk2-TrayIcon.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gtk2-TrayIcon-0.03-1.fc5.src.rpm

Description: 
This module allows a Perl developer to embed an arbitrary widget in a System
Tray like the Gnome notification area.

Comment 1 Jason Tibbitts 2006-08-11 04:12:06 UTC
This builds and installs fine; the provided example file runs fine.

The only rpmlint issue is:
W: perl-Gtk2-TrayIcon devel-file-in-non-devel-package
/usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Gtk2/TrayIcon/Install/trayicon-autogen.h
which is normal for arch-specific Perl modules.

* source files match upstream:
   4c627fd00cc316ac018732e7739a5c4f  Gtk2-TrayIcon-0.03.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* debuginfo package looks complete.
* rpmlint has only ignorable errors.
* final provides and requires are sane:
   TrayIcon.so()(64bit)
   perl(Gtk2::TrayIcon) = 0.03
   perl(Gtk2::TrayIcon::Install::Files)
   perl-Gtk2-TrayIcon = 0.03-1.fc6
  =
   libatk-1.0.so.0()(64bit)
   libcairo.so.2()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgthread-2.0.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   perl >= 0:5.008
   perl(:MODULE_COMPAT_5.8.8)
   perl(DynaLoader)
   perl(Gtk2)
   perl(strict)
   perl(warnings)
* %check is present but necessarily disabled.  It does run manually.
* shared libraries are present, but internal to Perl.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* the single header file is internal to Perl.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED

Comment 2 Chris Weyl 2006-08-11 04:24:59 UTC
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC4, FC-5)
+Close bug

Thanks for the review! :)


Note You need to log in before you can comment on or make changes to this bug.